org.scalatest.tools

# ScalaTestFramework

#### class ScalaTestFramework extends Framework

Class that makes ScalaTest tests visible to sbt.

To use ScalaTest from within sbt, simply add a line like this to your project file, replacing 1.5 with whatever version you desire:

    val scalatest = "org.scalatest" % "scalatest_2.8.1" % "1.5"

You can configure the output shown when running with sbt in four ways: 1) turn off color, 2) show short stack traces, 3) full stack traces, and 4) show durations for everything. To do that you need to add test options, like this:

    override def testOptions = super.testOptions ++
      Seq(TestArgument(TestFrameworks.ScalaTest, "-oD"))

After the -o, place any combination of:

- D - show durations
- S - show short stack traces
- F - show full stack traces
- W - without color

For example, "-oDF" would show full stack traces and durations (the amount of time spent in each test).

Linear Supertypes
Framework, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ScalaTestFramework
2. Framework
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalaTestFramework ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def name (): String

    Returns `"ScalaTest"`, the human readable name for this test framework.

    Returns `"ScalaTest"`, the human readable name for this test framework.

    Definition Classes
      ScalaTestFramework → Framework

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def testRunner (testLoader: ClassLoader, loggers: Array[Logger]): ScalaTestRunner

    Returns an `org.scalatools.testing.Runner` that will load test classes via the passed `testLoader` and direct output from running the tests to the passed array of `Logger`s.

    Returns an `org.scalatools.testing.Runner` that will load test classes via the passed `testLoader` and direct output from running the tests to the passed array of `Logger`s.

    Definition Classes
      ScalaTestFramework → Framework

20. #### def tests (): Array[Fingerprint]

    Returns an array containing one `org.scalatools.testing.TestFingerprint` object, whose superclass name is `org.scalatest.Suite` and `isModule` value is false.

    Returns an array containing one `org.scalatools.testing.TestFingerprint` object, whose superclass name is `org.scalatest.Suite` and `isModule` value is false.

    Definition Classes
      ScalaTestFramework → Framework

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Framework

### Inherited from AnyRef

### Inherited from Any